Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 824054 - media-gfx/graphviz: automagic on x11-libs/gtk+
Summary: media-gfx/graphviz: automagic on x11-libs/gtk+
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Mikle Kolyada
URL:
Whiteboard:
Keywords: PullRequest
Depends on:
Blocks:
 
Reported: 2021-11-16 18:06 UTC by Thomas Deutschmann
Modified: 2022-04-12 17:39 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Thomas Deutschmann gentoo-dev 2021-11-16 18:06:22 UTC
After removing x11-libs/gtk+ I got a preserved-libs event for media-gfx/graphviz which indicates an automagic:

> !!! existing preserved libs:
> >>> package: x11-libs/gtk+-2.24.33
>  *  - /usr/lib64/libgdk-x11-2.0.so.0
>  *  - /usr/lib64/libgdk-x11-2.0.so.0.2400.33
>  *      used by /usr/lib64/graphviz/libgvplugin_gdk.so.6.0.0 (media-gfx/graphviz-2.49.0)
Comment 1 Esteve Varela Colominas 2021-12-15 01:02:39 UTC
Can confirm this exact same issue. Rebuilding it seems to work fine.
Comment 2 Larry the Git Cow gentoo-dev 2022-04-12 17:39:02 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=59cbab4852ff6d2a787101c0add3109170ee9ed4

commit 59cbab4852ff6d2a787101c0add3109170ee9ed4
Author:     Matt Turner <mattst88@gentoo.org>
AuthorDate: 2022-04-12 03:56:26 +0000
Commit:     Matt Turner <mattst88@gentoo.org>
CommitDate: 2022-04-12 17:38:53 +0000

    media-gfx/graphviz: Fix automatic dependency on x11-libs/gtk+:2
    
    There was a collection of errors that lead here:
    
    - In bug #682520 it was reported that IUSE=gdk-pixbuf didn't add any
      dependencies, so it should be enabled unconditionally. The maintainer
      enabled gdk-pixbuf unconditionally (but, see later items) in commit
      9d4127b9ff8 ("media-gfx/graphviz: enable gdk-pixbuf unconditionally")
      rather than recognizing that graphviz was missing a dependency on
      x11-libs/gdk-pixbuf.
    
    - But in that fix, the maintainer replaced the already-wrong
      $(use_enable gdk-pixbuf) with --enable-gdk-pixbuf, whereas the correct
      option was --with-gdk-pixbuf.
    
    - The maintainer apparently recognized that it needed a dependency on
      x11-libs/gdk-pixbuf, so he added it in commit 39994ea59fb
      ("media-gfx/graphviz: add missing x11-libs/gdk-pixbuf dep") but for
      some reason added it to BDEPEND instead of DEPEND/RDEPEND. This was
      pointed out in 682520#c3 and 682520#c4 but not acted on.
    
    - In bug #828552 it was reported that --enable-gdk-pixbuf was an unknown
      argument to ./configure. As a result, it was removed in commit
      066d7617103 ("media-gfx/graphviz: remove unknown configure
      arguments"), rather than switching to the correct --with-gdk-pixbuf
      argument.
    
    gdk-pixbuf is used by the libgvplugin_gdk.so plugin. It is used only if
    both --with-gdk and --with-gdk-pixbuf are used (both are enabled if not
    specified).
    
    The --with-gdk option requires gdk-2.0.pc, which is provided by
    x11-libs/gtk+:2. The --with-gdk-pixbuf option requires
    gdk-pixbuf-2.0.pc, which is provided by x11-libs/gdk-pixbuf:2. Since
    gdk-pixbuf is linked in only if x11-libs/gtk+:2 is enabled, control its
    usage with the existing IUSE=gtk flag.
    
    Bug: https://bugs.gentoo.org/682520
    Bug: https://bugs.gentoo.org/828552
    Closes: https://bugs.gentoo.org/824054
    Closes: https://github.com/gentoo/gentoo/pull/25000
    Signed-off-by: Matt Turner <mattst88@gentoo.org>

 .../{graphviz-2.49.0.ebuild => graphviz-2.49.0-r1.ebuild}    | 12 ++++++++----
 1 file changed, 8 insertions(+), 4 deletions(-)